Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	CCux Linux artwork
Name: 		ccux-artwork
Version: 	1.0
Release: 	1
Epoch:		1
License: 	GNU/GPL
Source0:	Wallpaper-Blue.tar.bz2
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	noarch
Requires:	x11-mouse-theme-obsidian


%description
CCux Linux artwork - Backgrounds, Icon and Mouse Themes

%prep
%setup -T -c ccux-artwork 
tar xfjp %{SOURCE0}

%build

%install
# removing previous build
rm -rf $RPM_BUILD_ROOT

install -m 755 -d %{buildroot}%{_datadir}/backgrounds/ccux
mkdir -p %{buildroot}%{_datadir}/wallpapers/ccux/contents/images

cd $RPM_BUILD_DIR/%{name}-%{version}
cp $RPM_BUILD_DIR/%{name}-%{version}/Wallpaper-Blue/* %{buildroot}%{_datadir}/wallpapers/ccux/contents/images

#make backgrounds symlinks
(cd %{buildroot}%{_datadir}/backgrounds/ccux
ln -s %{_datadir}/wallpapers/ccux/contents/images/640x480.png 640x480.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/800x600.png 800x600.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1024x768.png 1024x768.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1280x1024.png 1280x1024.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1280x800.png 1280x800.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1400x1050.png 1400x1050.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1440x900.png 1440x900.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1600x1200.png 1600x1200.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1680x1050.png 1680x1050.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/1920x1200.png 1920x1200.png
ln -s %{_datadir}/wallpapers/ccux/contents/images/2560x1600.png 2560x1600.png
)

%files
%defattr(-,root,root)
%{_datadir}/backgrounds/ccux
%{_datadir}/wallpapers/ccux/contents/images

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 26 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-1
- bump to release version
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-5
- move real files to wallpapers directory, keep backgrounds symlinks
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-4
- back to png
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-3
- switch wallpapers to jpeg format
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-2
- pre 1.0.0
- external require for mouse theme
* Sun Aug 03 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-1
- new default backgrounds
- changed versioning to release version, should be better to track
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Initial release